{% load static %}
<html lang="es">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title> THOMAS GREG - GESCO</title>
  <!-- CSS -->
  <link rel="stylesheet" href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}">
  <link href="{% static 'vendor/font-awesome/css/font-awesome.min.css' %}" rel="stylesheet">
  <style>
    html {
      font-size: 14px
    }

    body {
      font-family: 'Roboto', sans-serif
    }

    .full-view {
      min-height: 100vh
    }

    .full-view--header {
      min-height: calc(100vh - 50px)
    }

    .full-view--flex {
      display: -ms-flexbox;
      display: flex
    }

    .full-view__item-1 {
      -ms-flex: 1;
      flex: 1;
      position: relative
    }

    .full-view__item-1 .item__logo {
      position: absolute;
      top: 2rem;
      width: 300px;
      left: calc(50% - 150px)
    }

    .login-side {
      width: 80%;
      max-width: 500px;
      position: relative
    }

    .login-side__title {
      font-size: 2rem;
      font-weight: 300;
      text-align: center;
      width: 80%;
      max-width: 350px;
      margin: auto;
      margin-bottom: 3rem
    }

    .login-card {
      border-radius: 2px;
      box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
      background-color: #fff;
      padding: 4rem
    }

    .login-card .input-box {
      margin-bottom: 3rem
    }

    .login-card .input-box:nth-last-of-type(2) {
      margin-bottom: 0
    }

    .login-card .view-center {
      padding: 2rem;
      padding-top: 5rem
    }

    .login-card .view-center a {
      width: 60%
    }

    .input-box p {
      font-size: .85rem;
      font-weight: 700
    }

    .input-box input {
      border: 0;
      border-bottom: 1px solid #afafaf;
      padding: .5rem .2rem
    }

    .input-box--full input {
      width: 100%;
      display: block
    }

    .view-center {
      display: -ms-flexbox;
      display: flex;
      -ms-flex-pack: center;
      justify-content: center;
      -ms-flex-align: center;
      align-items: center
    }

    .back-grey {
      background-color: #f7f8f8
    }

  </style>
</head>
<body>
<main class="full-view full-view--flex">
  <div class="full-view__item-1 back-image" style="display: flex;justify-content: center;">
    <img src="{% static 'img/PantallaInicialSGC.jpg' %}" alt="" style="display: block;margin:auto; width: 90%; height: 90%">
  </div>
  <div class="full-view__item-1 view-center back-grey">
    <section class="login-side">
      <div style="width: 100%">
      {% if messages %}
        {% for message in messages %}
        <div style="width: 100%" class="alert alert-danger">{{ message }}</div>
        {% endfor %}
      {% endif %}
      </div>
      <div class="view-center">
        <img src="{% static 'img/logo_ts.png' %}" style="border:2px solid black; background-color: white;">
      </div>
      <p class="login-side__title">Bienvenido al Sistema</p>
      <form method="post" class="form-horizontal">
        {% csrf_token %}
        <div class="login-card">
          <div class="input-box input-box--full">
            {{ form.username }}
          </div>
          <div class="input-box input-box--full">
            {{form.password }}
          </div>
          <div class="view-center">
            <button class="btn btn-primary" type="submit" style="width: 160px">
              INGRESAR
            </button>
          </div>
        </div>
      </form>
    </section>
  </div>
</main>
<script src="{% static 'vendor/jquery/js/jquery-3.3.1.js' %}"></script>
<script>
  jQuery.extend(jQuery.validator.messages, {
    required: "Este campo es requerido."
  });
  $(function () {
    $('#loginForm').validate();
  });
</script>
</body>
</html>
